Update sub user password
curl --request PUT \
--url https://{host}/frontend/api/v1/auth/{user-id}/password \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"new-password": "<string>",
"old-password": "<string>",
"password-update-token": "<string>"
}
'import requests
url = "https://{host}/frontend/api/v1/auth/{user-id}/password"
payload = {
"new-password": "<string>",
"old-password": "<string>",
"password-update-token": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
'new-password': '<string>',
'old-password': '<string>',
'password-update-token': '<string>'
})
};
fetch('https://{host}/frontend/api/v1/auth/{user-id}/password', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 123,
"context": {},
"error": "<string>",
"status": "<string>"
}Auth
Update sub user password
PUT
/
frontend
/
api
/
v1
/
auth
/
{user-id}
/
password
Update sub user password
Authorizations
api_key_headerapi_keyjwt-tokenjwt-cookiejwt
API Key Security (Header).
Path Parameters
User ID.
Required range:
x >= 1Query Parameters
Invalidate other sessions
Body
application/jsonapplication/x-www-form-urlencoded
Response
No Content
Was this page helpful?
⌘I

